/// <reference types="node" />
import { Readable } from "stream";
import { AudioInput, AudioInputArgs } from "../AudioInput/AudioInput";
import { AudioSampleRate, AudioBitDepth, AudioEndianess } from "../Types/AudioTypes";
type delayTimeType = number | (() => number);
interface AudioMixerArgs {
    sampleRate?: AudioSampleRate;
    channels?: number;
    volume?: number;
    bitDepth?: AudioBitDepth;
    endianness?: AudioEndianess;
    highWaterMark?: number | null;
    delayTime?: delayTimeType;
    autoClose?: boolean;
}
declare class AudioMixer extends Readable {
    private sampleRate;
    private channels;
    private volume;
    private bitDepth;
    private endianness;
    private highWaterMark;
    private delayTime;
    private autoClose;
    private inputs;
    private mixerClosed;
    constructor(args?: AudioMixerArgs);
    _read(): void;
    setVolume(volume: number): this;
    createAudioInput(inputArgs: AudioInputArgs): AudioInput;
    removeAudioInput(audioInput: AudioInput): this;
    close(): this;
    private loopRead;
}
export { AudioMixer, AudioMixerArgs };
