"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ChangeBitDepth_1 = require("./AudioParams/ChangeBitDepth");
const ChangeChannelCount_1 = require("./AudioParams/ChangeChannelCount");
const ChangeSampleRate_1 = require("./AudioParams/ChangeSampleRate");
const changeSampleParams = (inputChunk, inputArgs, mixerArgs) => {
    inputChunk = (0, ChangeBitDepth_1.default)(inputChunk, {
        bitDepth: inputArgs.bitDepth,
        endianness: inputArgs.endianness
    }, {
        bitDepth: mixerArgs.bitDepth,
        endianness: mixerArgs.endianness
    });
    inputChunk = (0, ChangeSampleRate_1.default)(inputChunk, {
        sampleRate: inputArgs.sampleRate,
        endianness: inputArgs.endianness
    }, {
        sampleRate: mixerArgs.sampleRate,
        bitDepth: mixerArgs.bitDepth,
        endianness: mixerArgs.endianness
    });
    inputChunk = (0, ChangeChannelCount_1.default)(inputChunk, {
        channels: inputArgs.channels,
        endianness: inputArgs.endianness
    }, {
        channels: mixerArgs.channels,
        bitDepth: mixerArgs.bitDepth,
        endianness: mixerArgs.endianness
    });
    return inputChunk;
};
exports.default = changeSampleParams;
